package com.kob.botrunningsystem;

import com.kob.botrunningsystem.service.BotRunningService;
import com.kob.botrunningsystem.service.impl.BotRunningServiceImpl;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

@SpringBootApplication
public class BotRunningSystemApplication {
    public static void main(String[] args) {
        // 启动 BotRunningSystem 服务之前启动 BotPool 线程
        BotRunningServiceImpl.botPool.start();   // 启动 Bot 执行线程

        SpringApplication.run(BotRunningSystemApplication.class, args);
    }
}