package com.kob.backend.controller.record;

import com.alibaba.fastjson2.JSONObject;
import com.kob.backend.service.record.GetRecordListService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

@RestController
public class GetRecordListController {
    @Autowired
    private GetRecordListService getRecordListService;

    // 这里只需要获取,因此只需要用 get 方法(需要新建和修改数据时,使用 post 方法)
    @GetMapping("/api/record/getlist/")
    public JSONObject getList(@RequestParam Map<String, String> data) {
        // 解析出 page 信息
        Integer page = Integer.parseInt(data.get("page_index"));
        return getRecordListService.getList(page);
    }
}
